[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

GreenAccessor< RGBVALUE > Class Template Reference

`#include <vigra/rgbvalue.hxx>`

## Public Member Functions

template<class ITERATOR >
value_type const & | operator() (ITERATOR const &i) const
template<class ITERATOR , class DIFFERENCE >
value_type const & | operator() (ITERATOR const &i, DIFFERENCE d) const
template<class V , class ITERATOR >
void | set (V value, ITERATOR const &i) const
template<class V , class ITERATOR , class DIFFERENCE >
void | set (V value, ITERATOR const &i, DIFFERENCE d) const

## Detailed Description

template<class RGBVALUE>
class vigra::GreenAccessor< RGBVALUE >

Encapsulate access to green band of an rgb value.

#include <vigra/rgbvalue.hxx>
Namespace: vigra

## Member Function Documentation

## ◆ operator()() [1/2]

template<class RGBVALUE >
template<class ITERATOR >

value_type const & operator() | ( | ITERATOR const & | i | ) | const

Get value of the green component

## ◆ operator()() [2/2]

template<class RGBVALUE >
template<class ITERATOR , class DIFFERENCE >

value_type const & operator() | ( | ITERATOR const & | i,
|  | DIFFERENCE | d
| ) |  | const

Get value of the green component at an offset

## ◆ set() [1/2]

template<class RGBVALUE >
template<class V , class ITERATOR >

void set | ( | V | value,
|  | ITERATOR const & | i
| ) |  | const

Set value of the green component. The type `V` of the passed in `value` is automatically converted to `value_type`.

## ◆ set() [2/2]

template<class RGBVALUE >
template<class V , class ITERATOR , class DIFFERENCE >

void set | ( | V | value,
|  | ITERATOR const & | i,
|  | DIFFERENCE | d
| ) |  | const

Set value of the green component at an offset. The type `V` of the passed in `value` is automatically converted to `value_type`.

The documentation for this class was generated from the following file:

- vigra/rgbvalue.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.12.1